Bug 243569 - devel/ros-urdfdom update to 1.0.4
Summary: devel/ros-urdfdom update to 1.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-24 18:28 UTC by Trenton Schulz
Modified: 2020-02-09 16:15 UTC (History)
2 users (show)

See Also:


Attachments
shar file for devel/ros-urdfdom version 1.0.4 (4.58 KB, text/plain)
2020-01-24 18:28 UTC, Trenton Schulz
no flags Details
Diff from 1.0.3 to 1.0.4 (1.04 KB, patch)
2020-02-09 15:11 UTC, Trenton Schulz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Trenton Schulz 2020-01-24 18:28:05 UTC
Created attachment 211015 [details]
shar file for devel/ros-urdfdom version 1.0.4

Update urdfdom to 1.0.4 (ironically enough, the same version that urdfdom_headers is).

The only change that seems to be here is version attribute parsing:

https://github.com/ros/urdfdom/pull/135
Comment 1 Rene Ladan freebsd_committer 2020-02-08 22:11:46 UTC
Hi Trenton,

for updates to existing ports, providing a patch using "svn diff" would be more clear as that better highlights the changes with the existing port.

For new ports, shars are fine.
Comment 2 Trenton Schulz 2020-02-09 15:11:25 UTC
Created attachment 211514 [details]
Diff from 1.0.3 to 1.0.4

Hi Rene,

Yes, you are correct. I must have been on auto-pilot. Here is the diff.

Best regards,

-- 
Trenton
Comment 3 commit-hook freebsd_committer 2020-02-09 16:14:32 UTC
A commit references this bug:

Author: rene
Date: Sun Feb  9 16:14:18 UTC 2020
New revision: 525664
URL: https://svnweb.freebsd.org/changeset/ports/525664

Log:
  devel/ros-urdfdom: update to 1.0.4

  PR:		243569
  Submitted by:	trueos@norwegianrockcat.com (maintainer)

Changes:
  head/devel/ros-urdfdom/Makefile
  head/devel/ros-urdfdom/distinfo
Comment 4 Rene Ladan freebsd_committer 2020-02-09 16:15:48 UTC
(In reply to Trenton Schulz from comment #2)

Haha, patch committed anyway ;)